JaxbHibernateMapping.JaxbImport (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbImport

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbImport

Enclosing class:
  JaxbHibernateMapping

    public static class JaxbHibernateMapping.JaxbImport

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="rename" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected String` | `rename`

Constructor Summary
`JaxbHibernateMapping.JaxbImport()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getRename()` Gets the value of the rename property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setRename(String value)` Sets the value of the rename property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected String clazz

### rename

    protected String rename

Constructor Detail

### JaxbHibernateMapping.JaxbImport

    public JaxbHibernateMapping.JaxbImport()

Method Detail

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getRename

    public String getRename()

  Gets the value of the rename property.

  Returns:
    possible object is `String`

### setRename

    public void setRename(String value)

  Sets the value of the rename property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.